Show / Hide Table of Contents

# Class DataCacheCreationError

This exception is thrown when a null value is provided for a data cache or it does not implement the expected type.

##### Inheritance

System.Object
System.Exception
IpcError
DataCacheCreationError

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Message
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Plugin.Ipc.Exceptions

###### Assembly: Dalamud.dll

##### Syntax

    public class DataCacheCreationError : IpcError, ISerializable

### Constructors

| Improve this Doc View Source

#### DataCacheCreationError(String, String, Type, Exception)

Initializes a new instance of the DataCacheCreationError class.

##### Declaration

    public DataCacheCreationError(string tag, string creator, Type expectedType, Exception ex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | tag | Tag of the data cache.
System.String | creator | The assembly name of the caller.
System.Type | expectedType | The type expected.
System.Exception | ex | The thrown exception.

### Implements

System.Runtime.Serialization.ISerializable